Subject: Re: GSoC Project | Improvise git bisect

From: Matthieu Moy <[email-masked]>
Date: Sun, 20 Mar 2016 19:08:15 +0100

Pranit Bauva <[email-masked]> writes:

> When I am writing
> functions, I am thinking to make some tests which will be copied
> contents of t/t6030-bisect-porcelain.sh with s/bisect/bisect--helper/g
> uncommenting tests as I implement more functions.

I don't think you need that. When you write a new function, you are
removing pieces of shell and adding pieces of C as replacement. If the
testsuite is complete, it covers the shell implementation today and will
cover the C implementation when it replaces the shell.

The existing tests should be usable without modification.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/